Package fr.gouv.vitam.functional.administration.common

# Class ManagementContract

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<ManagementContract>
fr.gouv.vitam.functional.administration.common.ManagementContract

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class ManagementContract extends VitamDocument<ManagementContract>
Defines an Management contract model

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTIVATIONDATE`
  the activation date of contract
  `static final String`
  `CREATIONDATE`
  the creatation date of contract
  `static final String`
  `DEACTIVATIONDATE`
  the desactication date of contract
  `static final String`
  `DEFAULT_USAGE`
  `static final String`
  `DESCRIPTION`
  the contract description
  `static final String`
  `IDENTIFIER`
  the contract id
  `static final String`
  `INITIAL_VERSION`
  `static final String`
  `INTERMEDIARY_VERSION`
  `static final String`
  `LAST_UPDATE`
  the last update of contract
  `static final String`
  `NAME`
  the contract name
  `static final String`
  `OBJECT_STRATEGY`
  the Object Strategy
  `static final String`
  `OBJECTGROUP_STRATEGY`
  the Object Group Strategy
  `static final String`
  `STATUS`
  the contract status
  `static final String`
  `STORAGE`
  the Storage
  `static final String`
  `UNIT_STRATEGY`
  the Unit Strategy
  `static final String`
  `USAGES`
  `static final String`
  `VERSION_RETENTION_POLICY`

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagementContract()`
  Empty Constructor
  `ManagementContract(com.fasterxml.jackson.databind.JsonNode content)`
  `ManagementContract(Integer tenantId)`
  `ManagementContract(String content)`
  `ManagementContract(org.bson.Document document)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivationdate()`
  `String`
  `getCreationdate()`
  `String`
  `getDeactivationdate()`
  `String`
  `getDescription()`
  Get the contract description
  `String`
  `getLastupdate()`
  `String`
  `getName()`
  Name of the contract
  `ActivationStatus`
  `getStatus()`
  Get the contract status
  `VitamDocument<ManagementContract>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `ManagementContract`
  `setActivationdate(String activationdate)`
  `ManagementContract`
  `setCreationdate(String creationdate)`
  `ManagementContract`
  `setDeactivationdate(String deactivationdate)`
  `ManagementContract`
  `setDescription(String description)`
  Set or change the contract description
  `ManagementContract`
  `setId(String id)`
  `ManagementContract`
  `setLastupdate(String lastupdate)`
  `ManagementContract`
  `setName(String name)`
  Set or change the contract name
  `ManagementContract`
  `setStatus(ActivationStatus status)`
  Set or change the contract status

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### IDENTIFIER

    public static final String IDENTIFIER
    the contract id
    See Also:
      - Constant Field Values

  - ### NAME

    public static final String NAME
    the contract name
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    the contract description
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    the contract status
    See Also:
      - Constant Field Values

  - ### CREATIONDATE

    public static final String CREATIONDATE
    the creatation date of contract
    See Also:
      - Constant Field Values

  - ### LAST_UPDATE

    public static final String LAST_UPDATE
    the last update of contract
    See Also:
      - Constant Field Values

  - ### ACTIVATIONDATE

    public static final String ACTIVATIONDATE
    the activation date of contract
    See Also:
      - Constant Field Values

  - ### DEACTIVATIONDATE

    public static final String DEACTIVATIONDATE
    the desactication date of contract
    See Also:
      - Constant Field Values

  - ### STORAGE

    public static final String STORAGE
    the Storage
    See Also:
      - Constant Field Values

  - ### OBJECTGROUP_STRATEGY

    public static final String OBJECTGROUP_STRATEGY
    the Object Group Strategy
    See Also:
      - Constant Field Values

  - ### UNIT_STRATEGY

    public static final String UNIT_STRATEGY
    the Unit Strategy
    See Also:
      - Constant Field Values

  - ### OBJECT_STRATEGY

    public static final String OBJECT_STRATEGY
    the Object Strategy
    See Also:
      - Constant Field Values

  - ### VERSION_RETENTION_POLICY

    public static final String VERSION_RETENTION_POLICY
    See Also:
      - Constant Field Values

  - ### INITIAL_VERSION

    public static final String INITIAL_VERSION
    See Also:
      - Constant Field Values

  - ### INTERMEDIARY_VERSION

    public static final String INTERMEDIARY_VERSION
    See Also:
      - Constant Field Values

  - ### USAGES

    public static final String USAGES
    See Also:
      - Constant Field Values

  - ### DEFAULT_USAGE

    public static final String DEFAULT_USAGE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ManagementContract

    public ManagementContract()
    Empty Constructor

  - ### ManagementContract

    public ManagementContract(org.bson.Document document)
    Constructor
    Parameters:
      `document` - data in format Document to create contact

  - ### ManagementContract

    public ManagementContract(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create contract

  - ### ManagementContract

    public ManagementContract(String content)
    Parameters:
      `content` - in format String to create contract

  - ### ManagementContract

    public ManagementContract(Integer tenantId)
    Parameters:
      `tenantId` - the working tenant

- ## Method Details

  - ### setId

    public ManagementContract setId(String id)
    Parameters:
      `id` - the id of ingest contract
    Returns:
      AccessionRegisterDetail

  - ### newInstance

    public VitamDocument<ManagementContract> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<ManagementContract>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### getName

    public String getName()
    Name of the contract
    Returns:
      name of contract

  - ### setName

    public ManagementContract setName(String name)
    Set or change the contract name
    Parameters:
      `name` - to set
    Returns:
      this

  - ### getDescription

    public String getDescription()
    Get the contract description
    Returns:
      this

  - ### setDescription

    public ManagementContract setDescription(String description)
    Set or change the contract description
    Parameters:
      `description` - to set to contact
    Returns:
      this

  - ### getStatus

    public ActivationStatus getStatus()
    Get the contract status
    Returns:
      status of ingest contact

  - ### setStatus

    public ManagementContract setStatus(ActivationStatus status)
    Set or change the contract status
    Parameters:
      `status` - to set
    Returns:
      this

  - ### getCreationdate

    public String getCreationdate()
    Returns:
      creation date of contract

  - ### setCreationdate

    public ManagementContract setCreationdate(String creationdate)
    Parameters:
      `creationdate` - to set
    Returns:
      this

  - ### getLastupdate

    public String getLastupdate()
    Returns:
      last update of contract

  - ### setLastupdate

    public ManagementContract setLastupdate(String lastupdate)
    Parameters:
      `lastupdate` - to set
    Returns:
      this

  - ### getActivationdate

    public String getActivationdate()
    Returns:
      activation date of contract

  - ### setActivationdate

    public ManagementContract setActivationdate(String activationdate)
    Parameters:
      `activationdate` - to set
    Returns:
      this

  - ### getDeactivationdate

    public String getDeactivationdate()
    Returns:
      desactivation date of contract

  - ### setDeactivationdate

    public ManagementContract setDeactivationdate(String deactivationdate)
    Parameters:
      `deactivationdate` - to set
    Returns:
      this